	subroutine subrl1
	common	/comdim/n(256)

	call print ('generate  random values in C%()')
	IF ( N(1).LE.0 ) N(1)=255
	L=0
	M=1
1	X1=RAN(L,M)*20000.0
	IF (X1.LT.500.) GOTO 1
	X=3.14*3.14/FLOAT(N(1))

	DO 10,I=2,N(1)
	XI=FLOAT(I)
	N(I)=INT(X1*SIN(XI*X)*COS(XI*(X-6)))
10	CONTINUE
	END
